0
回答
一次集成lua的古怪调试历程
利用AWS快速构建适用于生产的无服务器应用程序,免费试用12个月>>>   

lua+C的一个程序,连接时总是出错,把最后出错的历程和原因列一下:

1、lua的程序一般需要用到3个头文件:lua.h、lualib.h、lauxlib.h。注意,最后一个是lauxlib.h,这个文件名还折磨了 好久。

2、在linux上编译一般使用”make linux”,其他选项都会有一些奇怪的警告。我用debian etch的。

3、对于自己源码编译安装的lua,一般使用-llua连接选项。在debian上KDE需要另外装一个lua5.0.x,小心。因为5.0->5.1之后有些函数名不一样了,还好lua5.0.x的库名字都是带版本号的。

4、函数pow,在某些版本的linux的libc头文件中没有这个函数。但是实际上库里面是有的。所以需要手动加上连接选项”-lm”,否则会有几个地方找不到这个函数。

5、很多教程还是对应老版本的lua,新版本的函数名都有所改变,虽然对旧版本兼容。比如一般函数前缀是”luaL_”。

6、如果需要使用动态链接库,则要加上连接选项”-ldl”。

Lua
举报
红薯
发帖于9年前 0回/733阅
顶部